## org.eclipse.jet.taglib
Interface OtherTag

All Superinterfaces:
  CustomTag

All Known Implementing Classes:
  AbstractOtherTag

    public interface OtherTag

extends CustomTag

Represent a fully generate tag implementation. Clients are urged to implement one of the specific tag implementations instead.

Method Summary
`void` `doEnd(TagInfo tc, JET2Context context, JET2Writer out)` Perform actions required after the tag body has been evaluted.
`void` `doStart(TagInfo tc, JET2Context context, JET2Writer out)` Perform actions required prior to the tag body evaluation.
`void` `handleBodyContent(TagInfo tc, JET2Context context, JET2Writer out, JET2Writer bodyContent)` Re-write the tag body.
`boolean` `okToProcessBody(TagInfo tc, JET2Context context)` Test whether the tags body should be processed.

Methods inherited from interface org.eclipse.jet.taglib.CustomTag
`getAttribute, getKind, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Method Detail

### doEnd

    void doEnd(TagInfo tc,
               JET2Context context,
               JET2Writer out)
               throws JET2TagException

  Perform actions required after the tag body has been evaluted.

  Parameters:
    `tc` -
    `context` -
    `out` -
  Throws:
    `JET2TagException`

### doStart

    void doStart(TagInfo tc,
                 JET2Context context,
                 JET2Writer out)
                 throws JET2TagException

  Perform actions required prior to the tag body evaluation.

  Parameters:
    `tc` -
    `context` -
    `out` -
  Throws:
    `JET2TagException`

### handleBodyContent

    void handleBodyContent(TagInfo tc,
                           JET2Context context,
                           JET2Writer out,
                           JET2Writer bodyContent)
                           throws JET2TagException

  Re-write the tag body.

  Parameters:
    `tc` -
    `context` -
    `out` -
    `bodyContent` -
  Throws:
    `JET2TagException`

### okToProcessBody

    boolean okToProcessBody(TagInfo tc,
                            JET2Context context)
                            throws JET2TagException

  Test whether the tags body should be processed.

  Parameters:
    `tc` -
    `context` -
  Returns:
    `true` if the body is to be processed
  Throws:
    `JET2TagException`

Copyright 2006 IBM Corporation and others. All Rights Reserved.